Summary:	X.org input driver for Wacom tablets
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla tabletów Wacom
Name:		xorg-driver-input-wacom
Version:	0.23.0
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/linuxwacom/xf86-input-wacom-%{version}.tar.bz2
# Source0-md5:	353642b8a3f2dde089e913be32955aae
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	doxygen >= 1.6.1
BuildRequires:	pkgconfig
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7.0
Requires:	xorg-xserver-server >= 1.7.0
%requires_xorg_xserver_xinput
Obsoletes:	linuxwacom
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Wacom tablets.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla tabletów Wacom

%package devel
Summary:	Header file for wacom driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika wacom
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Header file for wacom driver

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika wacom

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/wacom_drv.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/xsetwacom
%attr(755,root,root) %{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}/X11/xorg.conf.d/50-wacom.conf
%{_mandir}/man1/xsetwacom.1*
%{_mandir}/man4/wacom.4*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/isdv4-serial-debugger
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_pkgconfigdir}/xorg-wacom.pc
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-wacom.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f0943e1
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d3ff36f
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> ee46473
- release 2 (by relup.sh)

* Tue Oct 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 7647b0f
- updated to 0.23.0

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c03c5f9
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 15dfd65
- release 2 (by relup.sh)

* Tue Jul 17 2012 Jan Rękorajski <baggins@pld-linux.org> d0b6f64
- Update to 0.16.0 by Przemo Firszt <przemo/at/firszt.eu>

* Wed May 30 2012 wrobell <wrobell@pld-linux.org> f335a63
- fixed md5 for ver. 0.15.0

* Wed May 30 2012 wrobell <wrobell@pld-linux.org> 6d25104
- updated to 0.15.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a7e38b
- release 2

* Fri Jan 20 2012 Jan Rękorajski <baggins@pld-linux.org> d924c1f
- up to 0.13.0 by Przemo Firszt <przemo/at/firszt.eu>

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b1ec353
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0948266
- release 2

* Tue Nov 23 2010 Caleb Maclennan <caleb@alerque.com> fd4fbd8
- Up to 0.10.10

* Sat Nov 20 2010 Caleb Maclennan <caleb@alerque.com> 9304f7d
- Up to 0.10.9

* Mon Aug 16 2010 Elan Ruusamäe <glen@pld-linux.org> 4490373
- initial spec by by Przemo Firszt <przemo#firszt.eu>
- include my corrections

